Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.codehaus.groovy.grails.orm.hibernate.cfg
[Java] Class GrailsAnnotationConfiguration

    java.lang.Object
      org.hibernate.cfg.AnnotationConfiguration
          org.codehaus.groovy.grails.orm.hibernate.cfg.GrailsAnnotationConfiguration

All Implemented Interfaces:
  GrailsDomainConfiguration

    public class GrailsAnnotationConfiguration
    extends AnnotationConfiguration

Allows configuring Grails' hibernate support to work in conjuntion with Hibernate's annotation support.

Authors:
  Graeme Rocher

Since:
  18-Feb-2006

Method Summary
`GrailsDomainConfiguration` | `addDomainClass(GrailsDomainClass domainClass)`
`SessionFactory` | `buildSessionFactory()`
`protected void` | `secondPassCompile()` Overrides the default behaviour to including binding of Grails domain classes.
`void` | `setGrailsApplication(GrailsApplication application)`

Method Detail

### addDomainClass

    public GrailsDomainConfiguration addDomainClass(GrailsDomainClass domainClass)

### buildSessionFactory

    @Override
    public SessionFactory buildSessionFactory()

### secondPassCompile

    @Override
    protected void secondPassCompile()

  Overrides the default behaviour to including binding of Grails domain classes.

### setGrailsApplication

    public void setGrailsApplication(GrailsApplication application)

Groovy Documentation